; New song, Song part, encoded in the AKM (minimalist) format V0.


SONG_Start
SONG_StartDisarkGenerateExternalLabel

SONG_DisarkPointerRegionStart0
	dw SONG_InstrumentIndexes	; Index table for the Instruments.
SONG_DisarkForceNonReferenceDuring2_1
	dw 0	; Index table for the Arpeggios.
SONG_DisarkForceNonReferenceDuring2_2
	dw 0	; Index table for the Pitches.

; The subsongs references.
	dw SONG_Subsong0
SONG_DisarkPointerRegionEnd0

; The Instrument indexes.
SONG_InstrumentIndexes
SONG_DisarkPointerRegionStart3
	dw SONG_Instrument0
SONG_DisarkPointerRegionEnd3

; The Instrument.
SONG_DisarkByteRegionStart4
SONG_Instrument0
	db 255	; Speed.

SONG_Instrument0Loop	db 0	; Volume: 0.

	db 4	; End the instrument.
SONG_DisarkPointerRegionStart5
	dw SONG_Instrument0Loop	; Loops.
SONG_DisarkPointerRegionEnd5

SONG_DisarkByteRegionEnd4
SONG_ArpeggioIndexes
SONG_DisarkPointerRegionStart6
SONG_DisarkPointerRegionEnd6

SONG_DisarkByteRegionStart7
SONG_DisarkByteRegionEnd7

SONG_PitchIndexes
SONG_DisarkPointerRegionStart8
SONG_DisarkPointerRegionEnd8

SONG_DisarkByteRegionStart9
SONG_DisarkByteRegionEnd9

; New song, Subsong 0.
; ----------------------------------

SONG_Subsong0
SONG_Subsong0DisarkPointerRegionStart0
	dw SONG_Subsong0_NoteIndexes	; Index table for the notes.
	dw SONG_Subsong0_TrackIndexes	; Index table for the Tracks.
SONG_Subsong0DisarkPointerRegionEnd0

SONG_Subsong0DisarkByteRegionStart1
	db 6	; Initial speed.

	db 0	; Most used instrument.
	db 0	; Second most used instrument.

	db 0	; Most used wait.
	db 0	; Second most used wait.

	db 0	; Default start note in tracks.
	db 0	; Default start instrument in tracks.
	db 0	; Default start wait in tracks.

	db 12	; Are there effects? 12 if yes, 13 if not. Don't ask.
SONG_Subsong0DisarkByteRegionEnd1

; The Linker.
SONG_Subsong0DisarkByteRegionStart2
; Pattern 0
SONG_Subsong0_Loop
	db 170	; State byte.
	db 63	; New height.
	db 128	; New track (0) for channel 1, as a reference (index 0).
	db 128	; New track (0) for channel 2, as a reference (index 0).
	db 128	; New track (0) for channel 3, as a reference (index 0).

	db 1	; End of the Song.
	db 0	; Speed to 0, meaning "end of song".
SONG_Subsong0DisarkByteRegionEnd2
SONG_Subsong0DisarkPointerRegionStart3
	dw SONG_Subsong0_Loop

SONG_Subsong0DisarkPointerRegionEnd3
; The indexes of the tracks.
SONG_Subsong0_TrackIndexes
SONG_Subsong0DisarkPointerRegionStart4
	dw SONG_Subsong0_Track0	; Track 0, index 0.
SONG_Subsong0DisarkPointerRegionEnd4

SONG_Subsong0DisarkByteRegionStart5
SONG_Subsong0_Track0
	db 221	; Effect only. New wait (127).
	db 127	;   Escape wait value.
	db 242	;    Volume effect, with inverted volume: 15.

SONG_Subsong0DisarkByteRegionEnd5
; The note indexes.
SONG_Subsong0_NoteIndexes
SONG_Subsong0DisarkByteRegionStart6
SONG_Subsong0DisarkByteRegionEnd6

