
read "C:\WinAPE\NitaGame\NitaGame-1\usound\sources\At2Files.asm"


;; COMO REPRODUCIR MÚSICA        -----------------------------------------------

;; PRIMERO INICIALIZAMOS PUNTERO A COMIENZO DE MÚSICA      ------------
;; EN 'hl' PASAMOS PUNTERO A SONG_START

; ld hl,SONG_START      ; PUNTERO EN 'hl' AL COMIENZO DE LA MÚSICA QUE VAMOS A REPRODUCIR
; call sound_init_music   ;; INICIALIZAMOS LA MÚSICA 

;; ESTE ES UN 'FLAG' PARA DECIR QUE LA MÚSICA ESTÁ ACTIVA  ------------
; (SE REPRODUCIRÁ EN EL GESTOR DE INTERRUPCIONES, EN LA INTERRUPCIÓN 5)
;; PUES AHÍ ES DONDE SE PRODUCE LA LLAMADA A 'call PLY_AKM_PLAY'

; call sound_set_music_on  


;; ESTE ES UN 'FLAG' PARA DECIR QUE LA MÚSICA ESTÁ INACTIVA  ------------
;; AUNQUE SEA LLAMADA EN EL GESTOR DE INTERRUPCIONES, NO SONARÁ NADA PUES LA TENEMOS INACTIVA
;; TAMBIÉN AFECTA A EFECTOS SE SONIDO, SI ESTÁ INACTIVA LA MÚSICA, NO SONARÁN

; call sound_set_music_off  


;; ESTE ES UN FLAG QUE UTILIZO YO PARA CAMBIAR LA VELOCIDAD DE REPRODUCCIÓN DE LA MÚSICA     ------------
;; NO ES UNA FUNCIONALIDAD DE ARKOS, TAN SÓLO CONTROLO CON EL GESTOR DE INTERRUPCIONES
;, SI SE REPRODUCE A VELOCIDAD NORMAL (50 FPS) O LENTA (25 FPS)
;; PUES CUANDO NOS MATAN SE RALENTIZA EL JUEGO, Y TAL VEZ NOS GUSTE RALENTIZAR TAMBIÉN LA MÚSICA

; call sound_music_normal_speed


;; ESTE ES EL FLAG PARA VELOCIDAD DE REPRODUCCIÓN DE MÚSICA LENTA (25 FPS) CUANDO NOS MATAN   ------------
; call sound_music_slow_speed 




	

;; COMO REPRODUCIR EFECTOS DE SONIDO -------------------------------------------

;; PRIMERO INICIALIZAR EFECTOS DE SONIDO    ---------
;; EN 'hl' PASAMOS PUNTERO AL COMIENZO DE LOS EFECTOS
; ld hl,soundEffects
; call PLY_AKM_InitSoundEffects

;; PARA REPRODUCIR SONIDO                   ---------

; ld a,1  ;; NUMERO DE EFECTO DE SONIDO, ACORDE A INDICES DE ARKOS
;; call sound_play_sfx  ;

;; 'c' y 'b' SE ENCARGAN DEL CANAL POR EL QUE SE REPRODUCIRÁ EL SONIDO, Y DEL VOLUMEN DEL MISMO
;; POR DEFECTO LOS HE PUESTO EN 'CANAL 0', 'VOLUMEN MÁXIMO'
; ld c,0 ; CANAL POR EL QUE SE REPRODUCIRÁ EL EFECTO (0-2)
; ld b,0 ;VOLUME (0-16 (0=full volume))


;; DETENER EFECTO DE SONIDO ACORDE A CANAL ESPECIFICADO   ------------
;; PONE EL CANAL AL COMPLETO EN MUTE!!
;; 'a' CANAL QUE SE DESEA MUTEAR

; ld a,channel
; call sound_stop_sfx


music_on:               db 0 ;;	FLAG PARA DECIR SI MUSICA SE ENCUENTRA O NO ACTIVA
music_tempo:            db 1 ;; VELOCIDAD DE REPRODUCCIÓN ('1' STANDARD - 50 FPS) / ('0' MITAD DE VELOCIDAD - 25 FPS)
music_speed:            db 0 ;; 


;; INICIALIZA MÚSICA!!
;; ACTIVA SONIDO, A VELOCIDAD REPRODUCCIÓN ESTANDAR
;; RECIBE EN 'hl' PUNTERO A LA MÚSICA QUE VAMOS A REPRODUCIR
; sound_init_player_music:
; call sound_init_music   ;; INICIALIZAMOS LA MÚSICA 
; call sound_set_music_on ;; 'FLAG' PARA DECIR QUE LA MÚSICA ESTÁ ACTIVA
; jp sound_music_normal_speed  ;; velocidad estandar


;; INICIALIZA MÚSICA!!
;; RECIBE EN 'hl' PUNTERO A LA MÚSICA QUE VAMOS A REPRODUCIR
;; Y REPRODUCE DESDE EL COMIENZO DE LA MISMA
sound_init_music: 
di
xor a                ;; REPRODUCCIR SUBSONG '0' DE LA CANCIÓN EN CONCRETO ('0' ES LA POR DEFECTO SI SOLO HAY UN SUBSONG)
call PLY_AKM_INIT    ;; INIT MUSICA
ei
ret
	

;; 'FLAG' PARA DECIR QUE LA MÚSICA ESTÁ ACTIVA, PARA QUE SE REPRODUZCA
sound_set_music_on:
ld a, 1
ld (music_on),a
ret


;; 'FLAG' PARA DECIR QUE LA MÚSICA ESTÁ INACTIVA, PARA QUE NO SE REPRODUZCA
sound_set_music_off: 
xor a
ld (music_on),a
jp PLY_AKM_STOP  ;; DETENEMOS EL REPRODUCTOR


sound_music_normal_speed:
ld a, 1
ld (music_tempo),a
ret


sound_music_slow_speed:
xor a
ld (music_tempo),a
ret


;; INICIALIZA SOUND EFFECTS!!
;; RECIBE EN 'hl' PUNTERO AL COMIENZO DE LOS SOUND EFFECTS
sound_init_sfx:
call PLY_AKM_InitSoundEffects
ret

;; REPRODUCE EFECTO DE SONIDO EN CANAL ESCOGIDO !!
;; 'a' NUMERO DE EFECTO DE SONIDO, ACORDE A INDICES DE ARKOS
sound_play_sfx:
ld c,0 ; CHANNEL (0-2)
ld b,0 ;VOLUME (0-16 (0=VOLUMEN MAXIMO))
call PLY_AKM_PlaySoundEffect
ret

;; DETIENE EFECTO DE SONIDO ACORDE A CANAL ESPECIFICADO -- PONE EL CANAL AL COMPLETO EN MUTE!!
;; 'a' CANAL QUE SE DESEA MUTEAR
sound_stop_sfx:
ld a,0 ;; POR DEFECTO EFECTOS DE SONIDO EN CANAL 0 (IZQUIERDO)
jp PLY_AKM_StopSoundEffectFromChannel


	
; sound_test_music_on:
; ld a, (music_on)
; or a 
; jr z, exitNotActive ;; MÚSICA NO SE ENCUENTRA ACTIVA, NO REPRODUCIR


;; REPRODUCIR MÚSICA CADA FRAME EN CASO DE QUE ESTÉ ACTIVA
; sound_play_music:
	
      ;exx
      ; ex af, af'  
      ; push af
      ; push bc
      ; push de
      ; push hl
      ; call PLY_AKM_PLAY
      ; pop hl
      ; pop de
      ; pop bc
      ; pop af
      ; ex af, af'   
      ; exx

; exitNotActive:
; ld hl, interrupt_0
; ld (&39),hl

      ; pop hl
      ; pop de
      ; pop bc
      ; pop iy
      ; pop ix
	  ; pop af
	  
	  ; ret